> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Subscription

Retrieves a Subscription record for an Account.

## Path Parameters

## Returns

Returns a Subscription object.

```bash cURL theme={null}
curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions/sub_P8c4bjj6xajxF" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .accounts("acc_yVf3mkzbhz9tj")
  .subscriptions
  .retrieve("sub_P8c4bjj6xajxF");
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .subscriptions
  .retrieve('sub_P8c4bjj6xajxF')
```

```json theme={null}
{
  "id": "sub_P8c4bjj6xajxF",
  "name": "transaction",
  "status": "active",
  "payload": null,
  "latest_request_id": "txn_GBCW694AEgfAh",
  "created_at": "2024-04-10T22:14:21.951Z",
  "updated_at": "2024-04-10T22:14:21.951Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.